$(function () {		
	mui.init({
		hardwareAccelerated:true, // 开启硬件加速www.bcty365.com
		gestureConfig: {
			tap: true, // 默认为true
			doubletap: true, // 默认为false
			longtap: true, // 默认为false
			swipe: true, // 默认为true
			drag: true, // 默认为true
			hold: true, // 默认为false，不监听
			release: false // 默认为false，不监听
		},
		beforeback: function(){ 
			// 获得列表界面的webview
			var opener = plus.webview.currentWebview().opener();
			// 触发列表界面的自定义事件（refresh）,从而进行数据刷新
			mui.fire(opener,'orientation');
			// 返回true，继续页面关闭逻辑
			clearInterval(progressFlag);
			return true;
		}
	});   



	mui.plusReady(function() {
		if (mui.os.android) {
		// 锁定屏幕方向  横屏正向
//			plus.screen.lockOrientation("landscape-primary");
		}
		// 全屏显示
		if(plus.navigator.isFullscreen()){
			return false
		}
		plus.navigator.setFullscreen( true );
		var types = {};
		    types[plus.networkinfo.CONNECTION_UNKNOW] = "未知";
		    types[plus.networkinfo.CONNECTION_NONE] = "未连接网络";
		    types[plus.networkinfo.CONNECTION_ETHERNET] = "有线网络";
		    types[plus.networkinfo.CONNECTION_WIFI] = "wifi";
		    types[plus.networkinfo.CONNECTION_CELL2G] = "2g";
		    types[plus.networkinfo.CONNECTION_CELL3G] = "3g";
		    types[plus.networkinfo.CONNECTION_CELL4G] = "4g";   
	    var net = types[plus.networkinfo.getCurrentType()]; // 查看网络类型
	    localStorage.setItem("net",net);
	    // 关闭等待框
	    plus.nativeUI.closeWaiting();
	    // 显示当前页面
	    mui.currentWebview.show();	    
	    document.addEventListener("pause", onAppPause, false); // 切换到后台
		setTimeout(function(){                                 // 防止视频窗口iframe变小，如果变小则刷新。
			if ( $('#iFrame').contents().find('#youku-playerBox').css('width')!=$(window).width() && $('#iFrame').contents().find('#youku-playerBox').css('height') != $(window).height()) {
				$('#iFrame').attr('src', $('#iFrame').attr('src'));
			}
		},200)	  
	});
//  转为横屏全屏播放
	$('#videoWrap').css('width',$(window).height());
	$('#videoWrap').css('height',$(window).width());
	$('#videoWrap').css("transform", "rotate(" + 90 + "deg)");
	$('#videoWrap').css("left", $(window).width());
    $('#videoTitle').text(localStorage.getItem('videoName'));
	
	if (mui.os.ipad) {
		$('#videoTitle').css('marginTop','1.55rem');
		$('#progressWrap').css('width','18.5rem');
	}


	var old_back=mui.back;
//	mui.back = function () {   // 手机返回键
//		console.log(753);
//     	mui.plusReady(function () {
//			plus.screen.lockOrientation("portrait-primary"); // 锁定为竖屏
//			plus.navigator.setFullscreen(false);
//		});
//		mui.fire(opener,'orientation'); // 自定义事件传给视频列表页	
        
//		old_back();
//	}
	
	mui('body').on('tap','.goback',function(e){
		mui.plusReady(function () {
			plus.navigator.setFullscreen(false);
		});
		clearInterval(progressFlag)
		old_back();
	})
	
	var video = document.getElementById("video");
    var controls = document.getElementById("controls");
    var playBtn = document.getElementById("playBtn");
    var zanTing = document.getElementsByClassName("zanting")[0];
    var fullScreenBtn = document.getElementById("print");
    var timer2 = document.getElementsByClassName('timer2')[0];
    var progressWrap = document.getElementById("progressWrap");
    var playProgress1 = document.getElementById("playProgress1");
    var playProgress = document.getElementById("playProgress");
    var fullScreenFlag = false;
    var progressFlag;
	var dataArr = [];
	var fileUrl = '';
	var wangluo = localStorage.getItem("net"); // 检测有没有网络
	var arr = [];
	var str = decodeURI( location.search.replace("?","") );
	arr =str.split('&');
	var catId = arr[0]; // 视频的ID
	var allcatId = arr[1]; // 栏目的ID
	var cpName = decodeURI(arr[2]); // 判断是不是外链	
	function videoList($data,video){ // 数据和video标签
		var sort = 0;
		var db = getCurrentDb(); // 打开或创建数据库
		// transaction 根据情况控制事务提交或回滚
		db.transaction(function (trans) { // 查询到本地数据库
			// SQL查询                                                                                             成功回调              成功回调后的数据集
	        trans.executeSql("select * from SP ", [], function (ts, data) {
	            if (data) {
	            	$.each($data, function(idx,item) {
						var dataObj = new Object();
						if(item.cpName == "广州稻香文化传播有限公司"){
							sort += 1;
							var fileUrl = item.fileUrl;
							for (var i = 0; i < data.rows.length; i++) {
			                    if(data.rows.item(i).catid == item.videoid){
			                    	fileUrl = data.rows.item(i).spurl;
			                    }
			                }
							if(item.videoid == catId){
								$('.preplay').attr('sort',sort);
								$('.nextplay').attr('sort',sort);
								fileUrl = fileUrl.replace('downloads','documents');  // 下载的文件放在 documents下面 官方bug ??? 地址更换
								video.setAttribute('src',fileUrl); // 给video添加src路劲
								// video.setAttribute('src','/storage/emulated/0/Android/data/io.dcloud.HBuilder/documents/video/WHO怕WHO.mp4');  //给video添加src路劲
								video.setAttribute("poster",item.coverImage);  // 给video添加poster图片
							}
			                dataObj.fileUrl = fileUrl;
			                dataObj.img = item.coverImage;
			                dataObj.videoid = item.videoid;
			                dataObj.sort = sort;
			               	dataArr.push(dataObj);
						}
						localStorage.setItem('videoData',JSON.stringify(dataArr));
					})    
	            }    
				// 失败回调
	        }, function (ts, message) {	
	        	$.each($data, function(idx,item) {
					var dataObj = new Object();
					if(item.cpName == "广州稻香文化传播有限公司"){
						sort += 1;
						if(item.videoid == catId){
							$('.preplay').attr('sort',sort);
							$('.nextplay').attr('sort',sort);
							video.setAttribute('src',arr[3]); // 给video添加src路劲
							video.setAttribute("poster",item.coverImage); // 给video添加poster图片
						}
						dataObj.fileUrl = item.fileUrl;
		                dataObj.img = item.coverImage;
		                dataObj.videoid = item.videoid;
		                dataObj.sort = sort;
		               	dataArr.push(dataObj);
					}
					localStorage.setItem('videoData',JSON.stringify(dataArr));
				})	
	        });
	    });	
	}
  	if(cpName == "广州稻香文化传播有限公司"){
		if(arr[4] == 1){ // 从栏目过来的视频
			var $data = localStorage.getItem(allcatId);
			if ($data) {
				$data = JSON.parse($data);
				$data = $data.content.videolist;
				videoList($data,video);
			} else{
				get_data(allcatId)
			}

		}else if(arr[4] == 2){ // 从下载过来的视频
			var db = getCurrentDb();
			db.transaction(function (trans) { // 查询到本地数据库
		        trans.executeSql("select * from  SP ", [], function (ts, data) {   
		           var $video = data.rows;	           
					for (var i = 0; i < data.rows.length;i++) {
						var dataObj = new Object();
	                    if(data.rows.item(i).catid == catId ) {
	                    	var sort = i+1;
							$('.preplay').attr('sort',sort); // 上线首固定如此设置  上线切换才能正常换视频     ？？
							$('.nextplay').attr('sort',sort);
							arr[3] = arr[3].replace('downloads','documents'); // 下载的文件放在 documents下面 官方bug ???
	            			video.setAttribute('src',arr[3]); // 给video添加src路劲
							video.setAttribute("poster",data.rows.item(i).img); // 给video添加poster图片        	
	                    }
	                        dataObj.fileUrl = data.rows.item(i).spurl.replace('downloads','documents');
			                dataObj.img = data.rows.item(i).imgurl;
			                dataObj.videoid = data.rows.item(i).catid;
			                dataObj.sort = (i+1);
			               	dataArr.push(dataObj);
	               } 		       
		            localStorage.setItem("videoData",JSON.stringify(dataArr));
		        }, function (ts, message) {
		        	
		        });
		    });
		}else if(arr[4] == 3){ // 从搜索过来的视频
			allcatId = decodeURI(allcatId);
			var $data = localStorage.getItem(allcatId);
			$data = JSON.parse($data);
			$data = $data.content.searchVideoResponse.videolist;
			videoList($data,video);
		}
		
		$('#wl').css('display','none');
		mui('body').on('tap','.preplay',function(){ // 上一个视频
			start = new Date().getTime();
			var $video = localStorage.getItem('videoData')
			$video = JSON.parse($video);
			var sort = parseInt($(this).attr('sort')) - 1;
			if(sort == 0){
				mui.toast("没有上一个视频啦！")
			}else{
				videoData($video,sort)
			}
		})
		mui('body').on('tap','.nextplay',function(){ // 下一个视频
			start = new Date().getTime();
			var $video = localStorage.getItem('videoData')
			$video = JSON.parse($video);
			var sort = parseInt($(this).attr('sort')) + 1;
			videoData($video,sort);
		})
		var start = new Date().getTime();
		// 持续播放指定的音频/视频时，会发生 canplaythrough 事件
	    video.addEventListener('canplaythrough',function(){
	    	var end = new Date().getTime();
			play();		
		});
		// 当目前的播放位置已更改时
		video.addEventListener('timeupdate',function (){ // 时间的更换
		    if ( !video.isPlayed && this.currentTime>0.15 ){
		        // dismissLoading(); //隐藏遮罩层
		        // playBtn.src = "../img/videoplay1.png";
		        video.isPlayed = !0;
		    }
		})
		video.onended = function(){ // 视频播放结束，进入下一个免费视频
			start = new Date().getTime();
			var $video = localStorage.getItem('videoData')
			$video = JSON.parse($video);
			var sort = parseInt($('.nextplay').attr('sort')) + 1;
			videoData($video,sort);
		}
		
		// 创建我们的操作对象，我们的所有操作都在这个对象上。
	    var videoPlayer = {
	        init: function(){
	            var that = this;
	            videoPlayer.operateControls();
	        },
	        operateControls: function(){
	            bindEvent(zanTing, "tap", changePlay); // 点击暂停按钮基础播放
	        }
	    }
	    
	    videoPlayer.init();
		
		setTimeout(function(){
		    $('.vid-wrapper .goback').hide();
		    $('.controls').css('display',"none");
		}, 5000);
	
		var isClick = true;  
		$('video').on('touchstart', function(e){  
		    isClick = true;  
		});  
		$('video').on('touchmove', function(e){  
		    isClick = false;
		});
	
		$('video').on('touchend',function(e){
			if(isClick == true){
				$('.vid-wrapper .goback').show();
				$('.controls').css('display',"block");
				setTimeout(function(){
				    $('.vid-wrapper .goback').hide();
				    $('.controls').css('display','none');
				}, 5000);
			}
		});  

	    $(playBtn).on('tap',function(){ // 改变播放的按钮
	    	changePlay();
	    });
	    $('#showProgress').on('drag',function(e){
	    	var len =  e.detail.center.y;
	    	videoSeek(len);
	    })
	    
  	}else{  // 外链视频的播放           
  			if (mui.os.ios) {
				$('#os_viedo_back').css("display","block") // 若为ios则将返回链的箭头显示出来 
			}		  		
  			var $data = localStorage.getItem(allcatId);
			$data = JSON.parse($data);
			if (localStorage.getItem('openerUrl').indexOf('search.html')!=-1) {
				$data = $data.content.searchVideoResponse.videolist;
			} else{
				$data = $data.content.videolist;
			}			
			var iframe = document.getElementsByTagName("iframe")[0];
			$.each($data, function(idx,item) {
				if(item.videoid == catId){
					iframe.setAttribute('src',item.fileUrl);
				}	
			});
			$('#print').css('display','none');	
	} 	
	
	function get_data(allcatId){
		$.get("http://csong.600du.cn:8086/klerge/video/videoList.do?uuid=null&appname=com.sanhui.klerge&channelid=klerge_360&imei=869672021366865&imsi=&timestamp=20180606155346&catid="+allcatId+"&shortname=null&gender=11&age=111111&page=1&size=30",function(rep){
			if(rep.header.resultCode == "200"){
				var $data = rep.content.videolist;
				videoList($data,video);
			}else{
				mui.alert("请求数据错误");
			}
		})
	}	
	
});



function onAppPause(){
    video.pause(); 
    $('.zanting').css('display','block');
    $('#mask').css('display','block');
    playBtn.src = "../img/videobtn.png"
    clearInterval(progressFlag);
}

function videoData(data,key){ // 视频播放
	if(key > data.length){
		mui.toast("最后一个视频啦！")
	}else{
		showloading();
		$.each(data, function(idx,item) {
			if(item.sort == key){
				$('.preplay').attr('sort',item.sort);
				$('.nextplay').attr('sort',item.sort);
				video.setAttribute('src',item.fileUrl); // 给video添加src路劲
				video.setAttribute("poster",item.img); // 给video添加poster图片
				videoDataChangeName(item.videoid);
			}else{
				//console.log("wailian")  
			}
		});
	}	
}

function videoSeek(len){
    if(video.paused || video.ended){
        changePlay();
        enhanceVideoSeek(len);
    }else{
        enhanceVideoSeek(len);
    }
}

function enhanceVideoSeek(len){
    clearInterval(progressFlag);
    var length = len - progressWrap.offsetLeft;
    var percent = length / progressWrap.offsetWidth;
	var w = percent * (progressWrap.offsetWidth) - 2 + "px";
    $(playProgress1).css('width',w) ;
    $('#showProgress').css('left',w);
    video.currentTime = percent * video.duration;
    progressFlag = setInterval(getProgress, 60);
}

function showtimer(time) {
	$(".timer1").text(check(parseInt(time / 60 % 60)) + ":" + check(parseInt(time) % 60));
}

function changePlay(){ // 播放后点击暂停按钮
    if ( video.paused || video.ended ){  
        if ( video.ended ){ 
            video.currentTime = 0;
        } 
        video.play();
        $('.zanting').css('display','none');
        $('#mask').css('display','none');
         playBtn.src = "../img/videoplay1.png"
        progressFlag = setInterval(getProgress, 60);
    }else{ 
        video.pause(); 
        $('.zanting').css('display','block');
        $('#mask').css('display','block');
        playBtn.src = "../img/videobtn.png"
        clearInterval(progressFlag);
    }
}
// video的播放条      60毫秒定时器执行一次
function getProgress(){
	var alllen = Math.floor(video.duration);
	if(alllen >= 1){
		$(".timer2").text(check(parseInt(alllen / 60 % 60)) + ":" + check(parseInt(alllen) % 60));
	}
	$('#showProgress').css('left',0);
	var percent = video.currentTime / video.duration;
	var w = percent * (progressWrap.offsetWidth) + "px";
	$(playProgress1).css('width',w) ;
	if(percent * (progressWrap.offsetWidth) > 20){
		var l = percent * (progressWrap.offsetWidth) -20 + "px";
   	 	$('#showProgress').css('left',l);
	}
    var t = percent * video.duration
   	if(t >= 0){
   		showtimer(t)
   	}    
}
// 控制video的播放
function play(){
    dismissLoading();
    if(video.pause()) {
    	video.pause(); 
        clearInterval(progressFlag);
    } else {
    	playBtn.src = "../img/videoplay1.png";
    	if (video.ended ){ 
            video.currentTime = 0;
        } 
        video.play();
        $('.zanting').css('display','none');
        $('#mask').css('display','none');
        progressFlag = setInterval(getProgress, 60);
    }
};

function bindEvent(ele, eventName, func){
    if(window.addEventListener){
        ele.addEventListener(eventName, func);
    }else{
        ele.attachEvent('on' + eventName, func);
    }
}

function videoDataChangeName($id){
	$.get('http://csong.600du.cn:8086/klerge/video/video.do?uuid=30f7408a20170412144403&appname=com.sanhui.klerge&channelid=klerge_360&imei=866538020723823&imsi=460017686987141&timestamp=20170412144403&id='+$id+'',function(res){
		if(res.header.resultCode == "200"){			
			localStorage.setItem('videoName',res.content.videoname);
			$('#videoTitle').html(res.content.videoname);
		}	
	})
}