window.onload = function(){
	mui.init({
        keyEventBind: {
            backbutton: true  //打开back按键监听
        },
        gestureConfig:{
		   tap: true, //默认为true
		   doubletap: true, //默认为false
		   longtap: true, //默认为false
		   swipe: true, //默认为true
		   drag: true, //默认为true
		   hold:true,//默认为false，不监听
		   release:false//默认为false，不监听
		},
   	});
	function plusReady(){
		plus.screen.lockOrientation("portrait-primary");
		plus.webview.currentWebview().setStyle({scrollIndicator:'none'});
		if(plus.navigator.isFullscreen()){
			plus.navigator.setFullscreen( false );
		}
	}
	if(window.plus){
		plusReady();
	}else{
		document.addEventListener("plusready",plusReady,false);
	}
	
	initSearchPlayer();
	
	hotwork();
	
	$('.goback').on('tap',function(){
		plus.webview.currentWebview().close();
	})
	mui.back = function () { //手机返回键
		plus.webview.currentWebview().close();
    }
	
	dismissLoading(); //隐藏遮罩层
	var scroll = mui('.mui-scroll-wrapper').scroll({
		indicators:false,
		bounce: false //是否启用回弹
	});
	var focus = document.getElementById("focus")
//	$('#focus').focus();
	
	var keyword = null;
	var baseurl = "http://csong.600du.cn:8086/klerge/song/";
	var $spl = $('.spl');
	var $sp = $('.sp');
	var $yp = $('.ypl');
	var arrdata = null;
	var onedata = 0;
	var isClick = true;
	$('.delete').on('tap',function(){   //搜索上面的删除搜索框里面的东西		
		focus.value = ""
	})
	//实时监听input的变化
	//	$('.sousuo').bind('input propertychange', function() {  
	//	    console.log($('.sousuo')[0].value)  
	//	});
	keyword = focus.value;
	if(keyword){ 
		var data = JSON.parse(localStorage.getItem(keyword));
		getData(data,$yp,$sp,isClick,onedata,arrdata);
	}
	
	$(document).on('touchstart',function(e){
		var $li = $('li.allcolor').parents('.contentList').children().children();
		var li = $('li.allcolor');
		if($(e.target).is('.play>img')){  //改变播放
			if(li.length == 0){
				mui.toast("还没有歌曲，从列表里选一首吧！")
			}else{
				stopPlay2($(e.target))
			}
		}else if($(e.target).is('.lastSong>img')){  //上一曲
			$('.play>img').attr("src","img/pause.png");
			if(li.length == 0){
				mui.toast("还没有歌曲，从列表里选一首吧！")
			}else{
				if (li.index() == 0) {
					li = $li.last();
					scroll.scrollToBottom(0)
				}else {
					li = li.prev();
				}
				playAudio(li)
			}				
		}else if($(e.target).is('.nextSong>img')) {  //下一曲
			$('.play>img').attr("src","img/pause.png");
			if(li.length == 0){
				mui.toast("还没有歌曲，从列表里选一首吧！")
				}else{
					var len = $li.length;
				if (li.index() == len-1) {
					scroll.scrollTo(0,0);
					li = $li.first();
				} else {
					li = li.next();
				}
				playAudio(li)
			}		
		} 
	});
	
	$("#search").on('tap',function(){
        searchKeyWord();
	})


	document.getElementById("focus").addEventListener("keypress", function(e) { //监听 手机键盘的搜索按键   对应元素  type="search" 
		if(13 == e.keyCode) {
			searchKeyWord();
		}
	}, false);	
	
	
	function searchKeyWord( hotword ){
			$sp.html("");
			$yp.html("")
			$('#focus').blur();
			showloading();
			$('.spgd').css('display',"none");
			keyword = focus.value || hotword;
			
			if(keyword){
				var data = JSON.parse(localStorage.getItem(keyword));
				if(data){
					getData(data,$yp,$sp,isClick,onedata,arrdata,keyword);
				}else{
					$.post(baseurl + "search.do?page=1&size=100&",{"keyword":keyword,"type":1},function(data){
						if(data.header.resultCode == 200){
							localStorage.setItem(keyword,JSON.stringify(data));
							getData(data,$yp,$sp,isClick,onedata,arrdata,keyword);
						}else{
							dismissLoading(); //隐藏遮罩层
							mui.alert(data.header.desc)
						}
					})
				}	
			}else{
				mui.alert("请输入您要搜索的内容");
				dismissLoading(); //隐藏遮罩层
			}
	}	
	// 换皮肤
	var sexi = localStorage.getItem("backcolor");
   	if(sexi){
   		$('#cssfile').attr('href',"css/page-css/"+sexi+".css");
   	}	
	
	function hotwork(){
		mui.get("http://csong.600du.cn:8086/klerge/song/getKeyword.do?uuid=30f7408a20170412144403&appname=com.sanhui.klerge&channelid=klerge_360&imei=866538020723823&imsi=460017686987141&timestamp=20170412144403",function(data){
			if (data.header.resultCode == 200) {
				for (var i = 0;i<data.content.length;i++) {
					 var $li = $('<li><span>'+(i+1)+'</span><a>'+data.content[i]+'</a></li>');
					 if (i<3) {
					 	$('<img src="img/hotword.png" alt="" />').appendTo($li); 
					 }					 
					 $li.appendTo($('#hotwork_list'));
				}
				$('#hotwork_list li a').on('touchstart',function(){
					var word = $(this).html();
					searchKeyWord( word )
				});
			}
		})	
	}
}



function getData(data,$yp,$sp,isClick,onedata,arrdata,keyword){
	dismissLoading(); //隐藏遮罩层
	//当没有数据的时候提示没有数据
	var data = data.content;
	if(!data.searchVideoResponse && !data.searchAudioResponse && !data.audioCategoryList){	
		$('.hotwork').css('display','block');
		$('.nodata').css('display','block');
	}else{
		$('.hotwork').css('display','none');
		if(data.audioCategoryList){
			var audioCateList = data.audioCategoryList;  //音频集合
			$.each(audioCateList, function(idx,item) {  //音频集合的列表渲染
				var $li = $('<li href="plus/TingSongLinst.html?'+item.id+'&3&'+item.alias+'"></li>');
				$('<div class="titalNum">'+item.sort+'</div>').appendTo($li);
				var $content = $('<div class="mui-media-body"></div>');
				$('<h1 data-href="'+item.id+'" timer="undefined"><span class="jihe">[集合]</span>'+item.alias+'</h1>').appendTo($content);
				$('<p><span>'+item.alias+'</p>').appendTo($content);
				$content.appendTo($li);
				$li.appendTo($yp);
				
				video_li_addEventListener_Click($li[0]);	

			});	
		};
		if(data.searchAudioResponse){
			var audioData = data.searchAudioResponse.audiolist; //音频集合列表
			$.each(audioData, function(idx,item) { //音频列表的数据渲染	
				var $li = $('<li href="plus/TingSongLinst.html?'+item.id+'"></li>');
				$('<div class="titalNum">'+item.sort+'</div>').appendTo($li);
				var $content = $('<div class="mui-media-body"></div>');
				$('<h1 data-href="'+item.fileUrl+'" timer="undefined">'+item.audioname+'</h1>').appendTo($content);
				$('<p><span>'+item.tags+'&nbsp;播放：</span><span>5456</span></p>').appendTo($content);
				$content.appendTo($li);
				$('<div><span class="yixiazai" id="'+item.audioid+'"></span><span  class="xiazai"></span></div>').appendTo($li);
				$li.appendTo($yp);
				
				audio_li_addEventListener_touch($li[0]);

			});
		}
		if(data.searchVideoResponse){ //视频的数据渲染	
			var videoData = data.searchVideoResponse.videolist; //视频集合列表
			if(videoData.length >=6){
				$('.spgd').css('display',"block");
				arrdata = 6;
			}else{
				arrdata = videoData.length;
			}
			spHtml(onedata,arrdata,videoData,$sp,keyword);
			
			$('.spgd').on('tap',function(){ //点击加载更多的数据
				onedata = arrdata;
				if(arrdata + 6 > videoData.length){
					arrdata = videoData.length;
					$('.spgd').css('display',"none");
				}else{
					arrdata = arrdata + 6;
				}
				spHtml(onedata,arrdata,videoData,$sp,keyword);
			})
		}
	}	
}

function spHtml(onedata,arrdata,data,$sp,keyword){
	var fileUrl = "";
	for(var i = onedata;i < arrdata; i++){
		fileUrl = data[i].fileUrl;
		var $li = $('<li data-href="'+fileUrl+'" href="plus/video.html?'+data[i].videoid+'&'+keyword+'&'+data[i].cpName+'&'+fileUrl+'&3"></li>');
		var $spimg = $('<div class="spimg"></div>');
		$('<img src="'+data[i].coverImage+'" />').appendTo($spimg);
		$('<div class="spname">'+data[i].videoname+'</div>').appendTo($spimg);
		$spimg.appendTo($li);
		$('<div class="spbtn"  data-href="'+fileUrl+'">观看视频</div>').appendTo($li)
		$li.appendTo($sp);

		video_li_addEventListener_Click($li[0]);	
    
	}	
}


//------------------------
function initSearchPlayer(){
	
	if (localStorage.getItem("songName")) {
		$('#song_name').html(localStorage.getItem("songName"));
		$('#play_play').attr('src',localStorage.getItem("playImg").split('../')[1]);
		var  flag = localStorage.getItem("playImg").split('img/')[1] = 'pause.png'? true:false;	
	} else{
		$('#song_name').html("考拉儿歌");
		$('#play_play').attr('src',"img/play.png");
		var  flag = false;
	}
	localStorage.setItem('flag',flag)
	chooseMode(localStorage.getItem('modeChoose'),true);
}




